package io.gmss.fiscad.interfaces.rfu.metier;

import io.gmss.fiscad.entities.rfu.metier.CaracteristiqueParcelle;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface CaracteristiqueParcelleService {

    CaracteristiqueParcelle createCaracteristiqueParcelle(CaracteristiqueParcelle batiment) throws BadRequestException;

    CaracteristiqueParcelle updateCaracteristiqueParcelle(Long id, CaracteristiqueParcelle batiment) throws NotFoundException;

    void deleteCaracteristiqueParcelle(Long id) throws NotFoundException;

    Page<CaracteristiqueParcelle> getCaracteristiqueParcelleList(Pageable pageable);

    List<CaracteristiqueParcelle> getCaracteristiqueParcelleList();

    Optional<CaracteristiqueParcelle> getCaracteristiqueParcelleById(Long id);
}
